"""Command-line entrypoint."""

import click

from autonomic.command import actions, coophost, cooppaas, init


@click.group()
@click.pass_context
def autonomic(ctx):
    """
    \b
      ___        _                              _
     / _ \      | |                            (_)
    / /_\ \_   _| |_ ___  _ __   ___  _ __ ___  _  ___
    |  _  | | | | __/ _ \| '_ \ / _ \| '_ ` _ \| |/ __|
    | | | | |_| | || (_) | | | | (_) | | | | | | | (__
    \_| |_/\__,_|\__\___/|_| |_|\___/|_| |_| |_|_|\___|

                    Hack the planet!

    """  # noqa
    pass


autonomic.add_command(init.init)
autonomic.add_command(actions.actions)
autonomic.add_command(coophost.coophost)
autonomic.add_command(cooppaas.cooppaas)
