"""YAML initialisation module.

Since we would like a consistent approach to how we load, manipulate and dump
YAML, we centralise the approach into a single module to avoid duplicating all
the customisation code across the code base.
"""

from ruamel.yaml import YAML

yaml = YAML()

# ensure that "---" is always at the top of the YAML file
yaml.explicit_start = True  # type: ignore
