import pytest

from autonomic.settings import add, get, remove


@pytest.fixture
def config_yml():
    from autonomic.command.init import create_configuration

    create_configuration()


def test_add_get_remove(config_yml):
    add({"foo": "bar"})

    assert get("doesnt-exist") is None
    assert get("foo") == "bar"

    remove("foo")
    assert get("foo") is None
